%global major 0
%define libname %mklibname ndp %{major}
%define devname %mklibname -d ndp

Name: libndp
Version: 1.5
Release: %mkrel 1
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.xz

%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{libname}
Summary: Library for Neighbor Discovery Protocol
Group: System/Libraries

%description -n %{libname}
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{devname}
Group: Development/Libraries
Summary: Libraries and header files for libndp development
Requires: %{libname} = %{version}-%{release}
Provides: libndp-devel

%description -n %{devname}
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name \*.la -delete

%files -n %{libname}
%doc COPYING
%{_libdir}/*so.*
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Oct 20 2016 adrianomorselli <adrianomorselli> 1.5-1uplos2016
- rebuild

* Thu Apr 21 2016 bb <bb> 1.5-1pclos2016
- import for network manager

